<p>
  <mat-toolbar color="primary">
    <img src="assets/utally_logo_simple.png" alt="Utally Logo" />
    <span>{{toolBarTitle}}</span>
    <span class="toolbar-spacer"></span>
    <button (click)="logout()" *ngIf="!isPlayerSelected()" mat-button>
      <fa-icon [icon]="faArrowRightFromBracket"></fa-icon>
    </button>
    <button (click)="onPlayerDeselected()" *ngIf="isPlayerSelected()" mat-button>
      <fa-icon [icon]="faArrowRightFromBracket"></fa-icon>
      Done
    </button>
  </mat-toolbar>
</p>

<app-select-location
  *ngIf="!isLocationSelected()"
  [events]="events"
  (eventChange)="onEventSelected($event)"
  [locations]="locations"
  (locationChange)="onLocationSelected($event)"
  (onSubmit)="onSelectLocationSubmit()"
  [showProgressIndicator]="showLocationSelectionProgressIndicator"
></app-select-location>
<app-select-player
  *ngIf="!isPlayerSelected()"
  [teams]="teams"
  (selectedTeamChange)="onSelectTeam($event)"
  [players]="players"
  [showLoadPlayersProgressIndicator]="showLoadPlayersProgressIndicator"
  (newPlayerSubmission)="postNewPlayer($event)"
  (selectedPlayerChange)="onPlayerSelected($event)"
  [selfRegistration]="selfRegistration"
></app-select-player>
<app-select-product
  *ngIf="isPlayerSelected() && tallies && productsByEvent && productsByLocation && timeslots"
  [showLoadProductsProgressIndicator]="showLoadProductsProgressIndicator"
  [productsByLocation]="productsByLocation"
  [productsByEvent]="productsByEvent"
  [tallies]="tallies"
  [timeslots]="timeslots"
  (onProductSelect)="onProductSelected($event)"
  (onTallyCancel)="onTallyCancelled($event)"
></app-select-product>
<div *ngIf="!isPlayerSelected() && productsByLocation && teams && statisticEntries.length > 0">
  <div *ngFor="let product of productsByLocationForStatistics">
    <app-product-statistics
      [product]="product"
      [teams]="teams"
      [statistics]="statisticEntries"
    ></app-product-statistics>
  </div>
</div>
<app-footer></app-footer>
